libcurl.so.4 problem

Giorgio Cittadini giocitta at gmail.com
Thu Nov 8 08:13:14 UTC 2018


Hi All,

while updating I'm blocked in one of my computers not being able to 
update clang, llvm, and perhaps other packages. This is what I get;

cmake: error while loading shared libraries: /usr/lib/libcurl.so.4: file 
too short.

Googling I found many suggestions, but no one worked for me. This is my 
locate libcurl.so.4 output:

    /usr/lib/libcurl.so.4
    /usr/lib/libcurl.so.4.5.0
    /usr/lib/libreoffice/program/libcurl.so.4.

I changed the localedef from

    localedef -i it_IT -f UTF-8 it_IT.UTF-8    to:
    localedef -i it_IT -f ISO-8859-1 it_IT     and viceversa

but nothing changes.

I would be very obliged if someone of our experts would explain me what 
I should do.

Thanks

Giorgio Cittadini



More information about the CRUX mailing list